This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315112 - gpg-agent doesn't terminate when session is closing
gpg-agent doesn't terminate when session is closing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 16:23 EST by Christian Stadelmann
Modified: 2016-09-28 18:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 18:35:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2016-03-06 16:23:28 EST
Description of problem:
When logging out, gpg-agent is not ended. This should break password prompts, especially in a dual X11 + Wayland environment

Version-Release number of selected component (if applicable):
gnupg2-2.1.11-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. log in into a gnome (+wayland?) session
2. do something to trigger gpg-agent being started, e.g. open a encrypted email in evolution
3. log out
4. go to tty, run
  $ loginctl list-sessions
and
  $ loginctl show-session 1

Actual results:
The session you wanted to exit (log out) has State=closing. gpg-agent is not terminated.

Expected results:
gpg-agent should exit with GUI (x11, wayland) session.

Additional info:
Side effects: As long as gpg-agent isn't exited with GUI session, it might (try to) end up using wrong $DISPLAY or $WAYLAND_DISPLAY to show prompts to user. Fails expected.

I am not sure this is an issue with gnupg2 or loginctl/systemd or gnome-session. Feel free to reassign or ask for more info to figure that out.
Comment 1 Christian Stadelmann 2016-09-28 18:35:51 EDT
Not preent on Fedora 25 any more.

Note You need to log in before you can comment on or make changes to this bug.